<ng-container *ngIf="requests$ | async; let requests; else loader">
  <table mat-table [dataSource]="requests" class="logs-table">
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef> {{ 'request_id' | transloco }} </th>
      <td mat-cell *matCellDef="let request"> <p>{{ request.id }}</p> </td>
    </ng-container>

    <ng-container matColumnDef="expert">
      <th mat-header-cell *matHeaderCellDef> {{ 'expert' | transloco }} </th>
      <td mat-cell *matCellDef="let request">
        <p>{{ request.expert.lastName }} {{ request.expert.firstName }} {{ request.expert.patronymic }}</p>
      </td>
    </ng-container>

    <ng-container matColumnDef="operationType">
      <th mat-header-cell *matHeaderCellDef> {{ 'request_operation_type' | transloco }} </th>
      <td mat-cell *matCellDef="let request"> <p>{{ request.operationType.operationType | uppercase }}</p> </td>
    </ng-container>

    <ng-container matColumnDef="date">
      <th mat-header-cell *matHeaderCellDef> {{ 'date' | transloco }} </th>
      <td mat-cell *matCellDef="let request"> <p>{{ request.date }}</p> </td>
    </ng-container>

    <ng-container matColumnDef="action">
      <th mat-header-cell *matHeaderCellDef> {{ 'request' | transloco }} </th>
      <td mat-cell *matCellDef="let request">
        <a (click)="onRequestSelected(request)">
        {{ 'see_detailed_info' | transloco }}
        </a>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
    <tr mat-row *matRowDef="let row; columns: columnsToDisplay;"></tr>
  </table>
</ng-container>

<ng-template #loader>
  <app-loader></app-loader>
</ng-template>
